import axiosInstance, { apiForFiles } from "./axiosInstance";
import { API_ENDPOINTS } from "./apiEndpoints";

/**
 * STEP 1 – Personal Details
 */
export const registerStep1API = async (payload) => {
  const res = await apiForFiles.post(API_ENDPOINTS.REGISTER_STEP1, payload);
  return res.data;
};

/**
 * STEP 2 – Education Details
 */
export const registerStep2API = async (payload) => {
  const res = await axiosInstance.post(API_ENDPOINTS.REGISTER_STEP2, payload);
  return res.data;
};

/**
 * STEP 3 – Family Details
 */
export const registerStep3API = async (payload) => {
  const res = await axiosInstance.post(API_ENDPOINTS.REGSITER_STEP3, payload);
  return res.data;
};

/**
 * STEP 4 – Lifestyle Details
 */
export const registerStep4API = async (payload) => {
  const res = await axiosInstance.post(API_ENDPOINTS.REGISTER_STEP4, payload);
  return res.data;
};

/**
 * STEP 5 – Partner Preferences
 */
export const registerStep5API = async (payload) => {
  const res = await axiosInstance.post(API_ENDPOINTS.REGISTER_STEP5, payload);
  return res.data;
};
